<?php

// site config
$site_name = "Todo List Manager";
$signups = "invite"; // true, false, "invite" - treats it as true if no users currently exist, invite requires an admin to invite the user
$language = "en-US"; // an item from the lang folder. exclude the ".json"

$admin_users = array("trinkey"
  // "username1", "username2", ...
);

// database config
$db_host = "localhost";
$db_name = "todo";
$db_username = "postgres";
$db_password = "postgres";

// DO NOT CHANGE THIS!!!
$lang = json_decode(file_get_contents("lang/$language.json"), true);
$db_info = "host=$db_host dbname=$db_name user=$db_username password=$db_password";
$db = pg_connect($db_info);

// default schema
// DON'T CHANGE THIS UNLESS YOU KNOW WHAT YOU'RE DOING!!!
$default_format = "For %C<b>%t</b>%c - %d";
$default_section_name = "New Section";
$default_row_name = "New Row";

$default_schema = array(
  "general" => array(
    "name" => "General",
    "show_subtitle" => false,
    "items" => array(
      "general" => array(
        "name" => $default_row_name,
        "display_format" => $default_format
      )
    )
  )
);

if ($signups !== true and pg_fetch_array(pg_query($db, "SELECT count(*) FROM users LIMIT 1;")) === "0") {
  $signups = true;
}

?>
